<script setup>
import {register} from 'swiper/element/bundle';
import itemSlider from '@/Components/Sliders/ItemSlider.vue';
import {computed} from "vue";

register();

const props = defineProps({
    lot:Object,
    index: Number,
    quantity: Number,
});

const color = computed(() => {
    if(props.lot?.features_color?.color_number){
        let color = props.lot?.features_color?.color_number;
       return  "rgba("+color.r+", "+color.g+", "+color.b+", "+color.a+")";
    }
    return null;
});
</script>

<template>
    <div class="marketBottom__market2-bigBlock" :style="'--background:' + color">
        <div class="marketBottom__market2-block--titleWrapper marketBottom__market2-block--wrapper"
             data-titleLine-text="Наименование" data-titleLine-isSelected="false">
            <p class="marketBottom__market2-block--title">{{ lot.item.name }}</p>
            <p class="marketBottom__market2--titleLine">Наименование</p>
        </div>
        <hr class="marketBottom__market2-hr"/>
        <div class="marketBottom__market2-block--iconWrapper marketBottom__market2-block--wrapper"
             data-titleLine-text="Иконка" data-titleLine-isSelected="false">
            <img class="marketBottom__merket2-block--icon" :src="lot.item.image" alt=""/>
            <p class="marketBottom__market2--titleLine">Иконка</p>
        </div>
        <swiper-container
            :loop="false"
            :slides-per-view="'auto'"
            :scrollbar="{ draggable: true }"
            class="marketBottom__market2-bigBlock--grey-wrapper"
            style="--swiper-scrollbar-bottom: 18px; --swiper-scrollbar-size: 9px; --swiper-scrollbar-bg-color: #44444A;
            --swiper-scrollbar-sides-offset: 4%; --swiper-scrollbar-drag-bg-color: #FF812F;">

            <swiper-slide v-if="lot.features_color" class="marketBottom__market2-block--rareWrapper
                swiper-slide marketBottom__market2-block--wrapper"
                 data-titleLine-text="Иконка"
                 data-titleLine-isSelected="true">
                <p class="marketBottom__market2-block--rare">{{ lot.features_color?.name }}</p>
                <p class="marketBottom__market2--titleLine">Редкость</p>
            </swiper-slide>

            <swiper-slide v-if="lot.feature_icons.length" class="marketBottom__market2-block--icons swiper-slide marketBottom__market2-block--wrapper"
                          data-titleLine-text="Versions"
                          data-titleLine-isSelected="false">
                <hr class="marketBottom__market2-hr small"/>
                <img v-for="icon in lot.feature_icons" :src="icon.icon"
                     :alt="icon.name" class="marketBottom__tag">
                <p class="marketBottom__market2--titleLine">Versions</p>
            </swiper-slide>

            <item-slider v-for="text in props.lot.features_texts" :value="text?.value" :name="text.name" />

            <item-slider v-for="number in lot.features_numbers" :name="number.name" :value="number.pivot.value" />

        </swiper-container>

        <div class="marketBottom__market2-block--numWrapper marketBottom__market2-block--wrapper"
             data-titleLine-text="Кол-во" data-titleLine-isSelected="false">
            <p class="marketBottom__market2-block--num">{{ quantity ? quantity : lot.count  }}</p>
            <p class="marketBottom__market2--titleLine">Кол-во</p>
        </div>
        <hr class="marketBottom__market2-hr"/>
        <div class="marketBottom__market2-block--priceWrapper marketBottom__market2-block--wrapper"
             data-titleLine-text="Цена"
             data-titleLine-isSelected="false">
            <p class="marketBottom__market2-block--price">{{ lot.price  }} Р</p>
            <p class="marketBottom__market2--titleLine">Цена</p>
        </div>
        <slot/>
    </div>
</template>



